package com.ejie.ab79.model.actuaciones;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelActDoc  
 * 
 *  
 */

public class RelActDoc implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelActDoc;
	private Actuaciones actuacion;
	private String idDocumentoMovil;
	private Integer idDocumentoSubido;
	private Integer enviadoProSan;
	private Date fechaRegistro;
	private String usuarioRegistro;

	/**
	 * Method 'RelActDoc'.
	 */
	public RelActDoc() {
	}

	/**
	 * Method 'RelActDoc'.
	 * 
	 * @param idRelActDoc
	 *            Integer
	 */
	public RelActDoc(Integer idRelActDoc) {
		this.idRelActDoc = idRelActDoc;
	}

	/**
	 * Method 'getIdRelActDoc'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelActDoc() {
		return this.idRelActDoc;
	}

	/**
	 * Method 'setIdRelActDoc'.
	 *
	 * @param idRelActDoc
	 *            Integer
	 * @return
	 */

	public void setIdRelActDoc(Integer idRelActDoc) {
		this.idRelActDoc = idRelActDoc;
	}

	public Actuaciones getActuacion() {
		return actuacion;
	}

	public void setActuacion(Actuaciones actuacion) {
		this.actuacion = actuacion;
	}

	/**
	 * @return the idDocumentacionMovil
	 */
	public String getIdDocumentoMovil() {
		return idDocumentoMovil;
	}

	/**
	 * @param idDocumentacionMovil
	 *            the idDocumentacionMovil to set
	 */
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}

	public Integer getIdDocumentoSubido() {
		return idDocumentoSubido;
	}

	public void setIdDocumentoSubido(Integer idDocumentoSubido) {
		this.idDocumentoSubido = idDocumentoSubido;
	}

	/**
	 * Method 'getEnviadoProSan'.
	 * 
	 * @return Integer
	 */
	public Integer getEnviadoProSan() {
		return this.enviadoProSan;
	}

	/**
	 * Method 'setEnviadoProSan'.
	 * 
	 * @param enviadoProSan
	 *            Integer
	 * @return
	 */
	public void setEnviadoProSan(Integer enviadoProSan) {
		this.enviadoProSan = enviadoProSan;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelActDoc: ").append(this.idRelActDoc).append(" ]");
		result.append(", [ idDocumentoSubido: ").append(this.idDocumentoSubido).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append(", [ enviadoProSan: ").append(this.enviadoProSan).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
